summaryrefslogtreecommitdiff
path: root/dev-python/notebook
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/notebook')
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-7.5.8.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 294e2822e0c4..6c3743f7e60a 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,3 +1,4 @@
DIST notebook-7.5.7.tar.gz 14171612 BLAKE2B 13fc91f63ddd5992e13d2f7b8805e90f940bbcf935ed89270e14e405f6f09dce39d7f5c5e2ba0150d05f5350235af749fe657935addb86281371465bb050aa8f SHA512 e92bfd6fe253e4b3468978c110acb43e98336595ebbfe39a0ed8b421926cb20d3c8f284f76cabd5108f3642d19fe446e79620bc99761b3214fa93301853370b2
+DIST notebook-7.5.8.tar.gz 14174934 BLAKE2B e588aaa5075456613e95a29902543df1efe614450e208e8589e58105c2acb20cb0d802794b8b09957f2da85ae0765a19048ec0766910ed8474e9bfedc154876b SHA512 5924cbf1a2ccbb49a70bb5b36b353d80a7b14a753dd1437b4a6c7c2e42438238b2be3e2e872e544f93a72eb957e3b07517954116bd149d28da994c01ef88d48c
DIST notebook-7.6.2.tar.gz 5500147 BLAKE2B ca17943a11b0a82162b736428ea79f7ae6582109c7398b204cad02ce0ae1812d72aa1ab2eba9ed19a5f29b6fb914c6b60b053ad5fa9b9021850df38eb8273911 SHA512 3dddba68f5f46577f19320f58ebc8daa0ad19dd6456af77e06b3c5f139586537f55706a5da0849210f52fc19e21ae3b27e4b0ba594a1e5820febc9d5241a9fe2
DIST notebook-7.6.3.tar.gz 5501618 BLAKE2B 68401b9b37b48774af3240cb14427ae7d2d01ab1f36e6eeb1b90bb2e2ce650cbc95a917dccafcbde55ce54a486d0e5bc601f85eefd382787acc5a3bf8f1717d6 SHA512 7b8395c5fcee0ce9faf0adb84a52078c4f556380702391880acc0436b1e1dddcb8d531a1dbb81a5950e458d415aaec8c664ef1d1df373665f0ff73576c41021d
diff --git a/dev-python/notebook/notebook-7.5.8.ebuild b/dev-python/notebook/notebook-7.5.8.ebuild
new file mode 100644
index 000000000000..5377fd2d80b7
--- /dev/null
+++ b/dev-python/notebook/notebook-7.5.8.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5.11[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ >=dev-python/hatch-jupyter-builder-0.5[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,timeout,tornasync} )
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}